Package org.eclipse.graphiti.ui.internal.dnd

# Class GFTemplateTransferDropTargetListener

java.lang.Object
org.eclipse.gef.dnd.AbstractTransferDropTargetListener
org.eclipse.gef.dnd.TemplateTransferDropTargetListener
org.eclipse.graphiti.ui.internal.dnd.GFTemplateTransferDropTargetListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.gef.dnd.TransferDropTargetListener`, `org.eclipse.jface.util.TransferDropTargetListener`, `org.eclipse.swt.dnd.DropTargetListener`, `org.eclipse.swt.internal.SWTEventListener`

public class GFTemplateTransferDropTargetListener extends org.eclipse.gef.dnd.TemplateTransferDropTargetListener
This subclass of TemplateTransferDropTargetListener `TemplateTransferDropTargetListener` was introduced to change the default behavior. For details on this see csn-message 0120031469 0001576030 2008

## Constructor Summary

Constructors
Constructor
Description
`GFTemplateTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer, DiagramBehavior diagramBehavior)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleDrop()`

### Methods inherited from class org.eclipse.gef.dnd.TemplateTransferDropTargetListener

`createTargetRequest, getCreateRequest, getFactory, handleDragOperationChanged, handleDragOver, updateTargetRequest`

### Methods inherited from class org.eclipse.gef.dnd.AbstractTransferDropTargetListener

`dragEnter, dragLeave, dragOperationChanged, dragOver, drop, dropAccept, eraseTargetFeedback, getCommand, getCurrentEvent, getDropLocation, getExclusionSet, getTargetEditPart, getTargetRequest, getTransfer, getViewer, handleEnteredEditPart, handleExitingEditPart, handleHover, handleHoverStop, isEnabled, isEnablementDeterminedByCommand, setAutoexposeHelper, setCurrentEvent, setEnablementDeterminedByCommand, setTargetEditPart, setTransfer, setViewer, showTargetFeedback, unload, updateAutoexposeHelper, updateTargetEditPart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFTemplateTransferDropTargetListener

public GFTemplateTransferDropTargetListener(org.eclipse.gef.EditPartViewer viewer, DiagramBehavior diagramBehavior)

## Method Details

### handleDrop

protected void handleDrop()

Overrides:
  `handleDrop` in class `org.eclipse.gef.dnd.TemplateTransferDropTargetListener`